## org.mortbay.html
Class Style

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Composite
              org.mortbay.html.Block
                  org.mortbay.html.Style

    public class Style

extends Block

HTML Style Block.

Field Summary
`static String` `AlternateStyleSheet`
`static String` `MEDIA`
`static String` `screen`
`static String` `STYLE`
`static String` `StyleSheet`
`static String` `text_css`
`static String` `TYPE`

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Composite
`elements, nest`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, TOP, VALIGN, WIDTH`

Constructor Summary
`Style()` Construct a Style element
`Style(String style)` Construct a Style element
`Style(String style, String type)` Construct a Style element.

Method Summary
`Style` `comment()` Nest style content in comment
`Style` `importStyle(String url)` Import another style sheet.
`Style` `media(String m)` Set the media

Methods inherited from class org.mortbay.html.Block
`write`

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STYLE

    public static final String STYLE

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### MEDIA

    public static final String MEDIA

See Also:
  Constant Field Values

### StyleSheet

    public static final String StyleSheet

See Also:
  Constant Field Values

### AlternateStyleSheet

    public static final String AlternateStyleSheet

See Also:
  Constant Field Values

### text_css

    public static final String text_css

See Also:
  Constant Field Values

### screen

    public static final String screen

See Also:
  Constant Field Values

Constructor Detail

### Style

    public Style(String style,
                 String type)

  Construct a Style element.

  Parameters:
    `type` - Format of Style

### Style

    public Style(String style)

  Construct a Style element

### Style

    public Style()

  Construct a Style element

Method Detail

### media

    public Style media(String m)

  Set the media

### comment

    public Style comment()

  Nest style content in comment

### importStyle

    public Style importStyle(String url)

  Import another style sheet.

  Parameters:
    `url` - The URL to import
  Returns:
    This style

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.